%define real_name bash

%define _libdir64 %{_prefix}/lib64

Name: bash_64
Summary: The GNU Bourne Again shell (bash) version %{version} (64-bit)
Version: 4.3
Release: 5
Group: System Environment/Shells
License: GPLv2+
Url: http://www.gnu.org/software/bash
Source0: ftp://ftp.gnu.org/gnu/bash/%{real_name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/bash/%{real_name}-%{version}.tar.gz.sig
# Official upstream patches
Patch1: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-001
Patch2: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-002
Patch3: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-003
Patch4: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-004
Patch5: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-005
Patch6: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-006
Patch7: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-007
Patch8: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-008
Patch9: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-009
Patch10: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-010
Patch11: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-011
Patch12: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-012
Patch13: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-013
Patch14: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-014
Patch15: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-015
Patch16: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-016
Patch17: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-017
Patch18: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-018
Patch19: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-019
Patch20: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-020
Patch21: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-021
Patch22: ftp://ftp.gnu.org/gnu/bash/bash-4.3-patches/bash43-022

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: bison, patch

%description
The GNU Bourne Again shell (Bash) is a shell or command language
interpreter that is compatible with the Bourne shell (sh). Bash
incorporates useful features from the Korn shell (ksh) and the C shell
(csh). Most sh scripts can be run by bash without modification. This
package (bash) contains bash version %{version}, which improves POSIX
compliance over previous versions.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q -n %{real_name}-%{version}
# Official upstream patches
%patch1 -p0 -b .001
%patch2 -p0 -b .002
%patch3 -p0 -b .003
%patch4 -p0 -b .004
%patch5 -p0 -b .005
%patch6 -p0 -b .006
%patch7 -p0 -b .007
%patch8 -p0 -b .008
%patch9 -p0 -b .009
%patch10 -p0 -b .010
%patch11 -p0 -b .011
%patch12 -p0 -b .012
%patch13 -p0 -b .013
%patch14 -p0 -b .014
%patch15 -p0 -b .015
%patch16 -p0 -b .016
%patch17 -p0 -b .017
%patch18 -p0 -b .018
%patch19 -p0 -b .019
%patch20 -p0 -b .020
%patch21 -p0 -b .021
%patch22 -p0 -b .022


%build
export OBJECT_MODE=64

export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \
    --infodir=%{_infodir} \
    --mandir=%{_mandir} \
    --with-included-gettext


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64

make DESTDIR=${RPM_BUILD_ROOT} install

cp doc/builtins.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

/usr/bin/strip -X64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*info*
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

mkdir -p ${RPM_BUILD_ROOT}/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
ln -sf ../..%{_bindir}/bash ${RPM_BUILD_ROOT}/bin/bash
ln -sf ../..%{_prefix}/bin/bashbug ${RPM_BUILD_ROOT}/usr/bin/bashbug

{
  cd ${RPM_BUILD_ROOT}
  cd bin
  ln -sf bash bash2
  cd ../usr/bin
  ln -sf bashbug bash2bug
}


%post
if [ ! -f /etc/shells ]; then
    echo "%{_bindir}/bash" >> /etc/shells
else
    grep -q '^%{_bindir}/bash$' /etc/shells || \
        echo "%{_bindir}/bash" >> /etc/shells
fi


%postun
if [ ! -x %{_bindir}/bash ]; then
    grep -v '^%{_bindir}/bash$' /etc/shells > /etc/shells.rpm && \
        mv /etc/shells.rpm /etc/shells
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc CHANGES COMPAT NEWS NOTES POSIX
%doc doc/FAQ doc/INTRO doc/article.ms doc/article.txt
%doc examples/functions/ examples/misc/
%doc examples/scripts/ examples/startup-files/ examples/complete/
%{_bindir}/*
%{_infodir}/bash.info*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
/bin/bash*
/usr/bin/bash*


%changelog
* Fri Aug 15 2014 Michael Perzl <michael@perzl.org> - 4.3-5
- updated to version 4.3 patch level 22

* Mon May 19 2014 Michael Perzl <michael@perzl.org> - 4.3-4
- updated to version 4.3 patch level 18

* Sun Apr 27 2014 Michael Perzl <michael@perzl.org> - 4.3-3
- updated to version 4.3 patch level 11

* Fri Mar 27 2014 Michael Perzl <michael@perzl.org> - 4.3-2
- updated to version 4.3 patch level 8

* Wed Feb 26 2014 Michael Perzl <michael@perzl.org> - 4.3-1
- updated to version 4.3

* Thu Mar 07 2013 Michael Perzl <michael@perzl.org> - 4.2-12
- updated to version 4.2 patch level 45

* Thu Jan 03 2013 Michael Perzl <michael@perzl.org> - 4.2-11
- updated to version 4.2 patch level 42

* Sun Nov 04 2012 Michael Perzl <michael@perzl.org> - 4.2-10
- updated to version 4.2 patch level 39

* Wed Jul 18 2012 Michael Perzl <michael@perzl.org> - 4.2-9
- updated to version 4.2 patch level 37

* Tue Jul 10 2012 Michael Perzl <michael@perzl.org> - 4.2-8
- updated to version 4.2 patch level 36

* Wed Jun 13 2012 Michael Perzl <michael@perzl.org> - 4.2-7
- updated to version 4.2 patch level 29

* Mon Apr 16 2012 Michael Perzl <michael@perzl.org> - 4.2-6
- updated to version 4.2 patch level 24

* Mon May 16 2011 Michael Perzl <michael@perzl.org> - 4.2-5
- updated to version 4.2 patch level 10

* Sun Mar 20 2011 Michael Perzl <michael@perzl.org> - 4.2-4
- updated to version 4.2 patch level 8

* Tue Mar 01 2011 Michael Perzl <michael@perzl.org> - 4.2-3
- updated to version 4.2 patch level 5

* Tue Feb 24 2011 Michael Perzl <michael@perzl.org> - 4.2-2
- rebuilt without dependency on libiconv

* Tue Feb 15 2011 Michael Perzl <michael@perzl.org> - 4.2-1
- updated to version 4.2

* Mon Jan 10 2011 Michael Perzl <michael@perzl.org> - 4.1-6
- automatically add entry to /etc/shells

* Wed Oct 13 2010 Michael Perzl <michael@perzl.org> - 4.1-5
- updated to version 4.1 patch level 9

* Thu May 20 2010 Michael Perzl <michael@perzl.org> - 4.1-4
- updated to version 4.1 patch level 7

* Wed Apr 07 2010 Michael Perzl <michael@perzl.org> - 4.1-3
- updated to version 4.1 patch level 5

* Tue Jan 19 2010 Michael Perzl <michael@perzl.org> - 4.1-2
- updated to version 4.1 patch level 2

* Fri Jan 08 2010 Michael Perzl <michael@perzl.org> - 4.1-1
- updated to version 4.1

* Thu Nov 26 2009 Michael Perzl <michael@perzl.org> - 4.0-3
- updated to version 4.0 patch level 35

* Tue Jul 07 2009 Michael Perzl <michael@perzl.org> - 4.0-2
- updated to version 4.0 patch level 24

* Mon Mar 30 2009 Michael Perzl <michael@perzl.org> - 4.0-1
- updated to version 4.0 and patch level 10

* Mon Mar 30 2009 Michael Perzl <michael@perzl.org> - 3.2-2
- updated to latest patch level 3.2.48

* Tue Mar 18 2008 Michael Perzl <michael@perzl.org> - 3.2-1
- first version for AIX V5.1 and higher
